List claims
curl --request GET \
--url https://service.incaseof.law/openapi/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://service.incaseof.law/openapi/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://service.incaseof.law/openapi/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"debtor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_reference": "<string>",
"status": "open",
"collection_stage": "new",
"subject_matter": "<string>",
"main_claim_currency": "EUR",
"total_claim_amount": 123,
"total_claim_currency": "EUR",
"created_at": "2023-11-07T05:31:56Z"
}
]
}Claims
List claims
List claims with optional filters (debtor, status, date range)
GET
/
openapi
/
claims
List claims
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by debtor ID
Filter by claim status
Available options:
pending, in_collection, partial_payment, paid, disputed, resolved, closed Filter claims created after this date
Filter claims created before this date
Page number for pagination
Required range:
x >= 1Number of results per page
Required range:
1 <= x <= 100⌘I